Package com.microsoft.sqlserver.jdbc

# Interface ISQLServerStatement

All Superinterfaces:
  `AutoCloseable`, `Serializable`, `Statement`, `Wrapper`

All Known Subinterfaces:
  `ISQLServerCallableStatement`, `ISQLServerPreparedStatement`

All Known Implementing Classes:
  `SQLServerCallableStatement`, `SQLServerPreparedStatement`, `SQLServerStatement`

public interface ISQLServerStatement extends Statement, Serializable
Provides an interface to the `SQLServerStatement` class.

## Field Summary

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCancelQueryTimeout()`
Returns the `cancelQueryTimeout` property set on this SQLServerStatement object.
`String`
`getResponseBuffering()`
Returns the response buffering mode for this SQLServerStatement object.
`void`
`setCancelQueryTimeout​(int seconds)`
Sets the `cancelQueryTimeout` property on this SQLServerStatement object to cancel `queryTimeout` set on `Connection` or `Statement` level.
`void`
`setResponseBuffering​(String value)`
Sets the response buffering mode for this SQLServerStatement object to case-insensitive String full or adaptive.

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, enquoteIdentifier, enquoteLiteral, enquoteNCharLiteral, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isSimpleIdentifier, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

## Method Details

### setResponseBuffering

void setResponseBuffering​(String value) throws SQLServerException
Sets the response buffering mode for this SQLServerStatement object to case-insensitive String full or adaptive.

Response buffering controls the driver's buffering of responses from SQL Server.

Possible values are:

"full" - Fully buffer the response at execution time.

"adaptive" - Data Pipe adaptive buffering

Parameters:
  `value` - A String that contains the response buffering mode. The valid mode can be one of the following case-insensitive Strings: full or adaptive.
Throws:
  `SQLServerException` - If there are any errors in setting the response buffering mode.

### getResponseBuffering

String getResponseBuffering() throws SQLServerException
Returns the response buffering mode for this SQLServerStatement object.

Returns:
  A String that contains a lower-case full or adaptive.
Throws:
  `SQLServerException` - If there are any errors in retrieving the response buffering mode.

### getCancelQueryTimeout

int getCancelQueryTimeout() throws SQLServerException
Returns the `cancelQueryTimeout` property set on this SQLServerStatement object.

Returns:
  cancelQueryTimeout Time duration in seconds.
Throws:
  `SQLServerException` - if any error occurs

### setCancelQueryTimeout

void setCancelQueryTimeout​(int seconds) throws SQLServerException
Sets the `cancelQueryTimeout` property on this SQLServerStatement object to cancel `queryTimeout` set on `Connection` or `Statement` level.

Parameters:
  `seconds` - Time duration in seconds.
Throws:
  `SQLServerException` - if any error occurs